Subject: Re: bug#31069: emacs-smartparens: sp-forward-barf-sexp broken

From: Alex Kost <[email-masked]>
Date: Sat, 07 Apr 2018 18:19:58 +0300

Thorsten Wilms (2018-04-06 22:35 +0200) wrote:

> On 05.04.2018 21:25, Alex Kost wrote:
>
>> It probably wouldn't help but... all these commands work for me without
>> any error (I use smartparens 1.11 installed with Guix).
>>
>> I don't use "smartparens-mode", I use these commands directly (bound to
>> some keys).  This is the configuration for smartparens I have in my
>> emacs config file:
>>
>> (with-eval-after-load 'smartparens
>>    (require 'smartparens-config nil t)
>>    (setq
>>     sp-navigate-reindent-after-up nil
>>     sp-ignore-modes-list nil
>>     sp-wrap-entire-symbol 'globally))
>
> 1.11 here, too.
>
> That piece of configuration doesn't affect the issue; but now I can say
> that it doesn't matter if smartparens-mode or smartparens-strict-mode or
> neither is active, slurp works, barf doesn't.
>
> I'm back to paredit, but would still like to figure this out.

Sorry, I don't know what could cause your problem.  My only idea is
maybe you have some mixed (incompatible) packages both from Guix and
from (M)ELPA (for example, "dash.el" from Melpa and "smartparens" from
Guix).  Look at "M-x list-load-path-shadows".

-- 
Alex